How do I update the multi-domains plugin?

How do I update the multi-domains plugin?
I have 1.2 but the latest version is 1.2.3.
Do I have to uninstall what I currently have? Please help me with step by step guidance if you can.
Thank you!